dli_ensemble

Attention!
Using proxy servers is not required for this task.
The request must contain a single image (together with text) in base64 format.
Request parameters
IMPORTANT: obtain the base64 image directly before creating the task to avoid errors during solving (see section How to get base64).
type<string>requiredComplexImageTask
class<string>requiredrecognition
imagesBase64<array>requiredImage encoded in base64 format.
Task (inside metadata)<string>requiredTask name: "dli"
Create task method
POST
https://api.capmonster.cloud/createTask
Request
{
"clientKey": "API_KEY",
"task": {
"type": "ComplexImageTask",
"class": "recognition",
"imagesBase64": [
"base64"
],
"metadata": {
"Task": "dli"
}
}
}
Task examples:

Response
{
"errorId":0,
"taskId":143998457
}
Get task result method
POST
https://api.capmonster.cloud/getTaskResult
Request
{
"clientKey":"API_KEY",
"taskId": 143998457
}
Response: computed result (numeric value) returned as a string:
{
"solution":
{
"answer": "1",
"metadata": {
"AnswerType": "Text"
}
},
"cost": 0.0003,
"status": "ready",
"errorId": 0,
"errorCode": null,
"errorDescription": null
}
How to get Base64
Images on pages can be represented either as a URL or already encoded in Base64 format. To find the required value, right-click the captcha image, select Inspect, and carefully examine the Elements section or network requests — there you can find either the image URL or the encoded content.
- Open your website where the captcha is displayed in the browser.
- Right-click the captcha element and select Inspect.

